<?
/*
Ниже происходит переход на следующий уровень, любое изменение в коде произведет к нестабильной работе игры
*/

//Выбираем самый большой уровень из списка уровней

$bigl=2000;
/*Эсли в базе нету больше уровней, то переходы не выполняються, а счетчик опыта показывает ввесь, набраный за всю игру, опыт*/
if($ku['level']<$bigl)
{
if($ku['level']>1)
{
$rl=0;
$ql=mysql_query("SELECT * FROM `kolhoz_level`");
while($pl=mysql_fetch_array($ql))
{
if($pl['level']<=$ku['level'])$rl=$rl+$pl['rating'];
}
$kr=$ku['rating']-$rl;
}
else $kr=$ku['rating'];
$level=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_level` WHERE `level` = '".($ku['level']+1)."' LIMIT 1"));
if($kr>=$level['rating'])
{
  if(!empty($ku['refi'])){
    $refi=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id`='$ku[refi]' LIMIT 1"));
    mysql_query("UPDATE `kolhoz_user` SET  `rubies` = '".($refi['rubies']+3)."', `money` = '".($refi['money']+300)."' WHERE `id` = '$ku[refi]'");
    $text='Ваш реферал '.$ku['nick'].' достиг '.$level['level'].' уровня! Вам начислено 3 рубина и 300 монет';
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$ku[refi]', `id_kont` = '0', `msg` = '$text', `time` = '".time()."', `type` = 'to'") or die (mysql_error());
  }
if($ku['level']<=29)$koefi=100;
if($ku['level']<=39 AND $ku['level']>=30)$koefi=1000;
if($ku['level']<=45 AND $ku['level']>=40)$koefi=10000;
if($ku['level']<=55 AND $ku['level']>=46)$koefi=100000;
if($ku['level']<=60 AND $ku['level']>=56)$koefi=1000000;
if($ku['level']<=70 AND $ku['level']>=61)$koefi=10000000;
if($ku['level']<=7500000 AND $ku['level']>=71)$koefi=100000000;
echo "<div class='feedback'>
Поздравляем, Вы получили <span
class='title'><span>$level[level]</span> уровень.</span><br>
Вам начислено: <span class='title'><img width='16' height='16' src='images/icons/ruby.png' alt='o'>
<span>$level[rubies]</span> и <img width='16' height='16' src='images/icons/money.png' alt='o'> <span>".($level['level']*$koefi)."</span>.</span>";

$semen=mysql_query("SELECT `name` FROM `kolhoz_plant` WHERE `level` = '$level[level]' ");
if(mysql_num_rows($semen)>=1){
echo'<br/>Доступны новые семена: ';
While($sem=mysql_fetch_array($semen)){
echo "$sem[name], ";
}
}

$semen=mysql_query("SELECT `name` FROM `kolhoz_pool_plant` WHERE `level` = '$level[level]' ");
if(mysql_num_rows($semen)>=1){
echo'<br/>Доступны новые рыбы: ';
While($sem=mysql_fetch_array($semen)){
echo "$sem[name], ";
}
}

$semen=mysql_query("SELECT `name` FROM `kolhoz_pet` WHERE `level` = '$level[level]' ");
if(mysql_num_rows($semen)>=1){
echo'<br/>Доступны новые животные: ';
While($sem=mysql_fetch_array($semen)){
echo "$sem[name], ";
}
}

$semen=mysql_query("SELECT `name` FROM `kolhoz_soil` WHERE `level` = '$level[level]' ");
if(mysql_num_rows($semen)>=1){
echo'<br/>Доступно новое удобрение: ';
While($sem=mysql_fetch_array($semen)){
echo "$sem[name] ";
}
}

//////Гидропоника
$timee=3600*1;
$ps=50;
if($ku['hydropinics_time']>$time)
{
$ps=$ku['hydropinics_type']+$ps;
if($ps>400)$ps=400;
}

mysql_query("UPDATE `kolhoz_user` SET `hydropinics_time` = '".($ku['hydropinics_time']>$time?"".($ku['hydropinics_time']+$timee)."":"".($time+$timee)."")."', `hydropinics_type` = '$ps', `botanik` = '".($ku['botanik']+floor($timee/3600))."' WHERE `id` = '$ku[id]'") or die(mysql_error());

echo "<br/><img width='16' height='16' src='images/icons/hydropinics.png' alt=''> Активирована гидропоника";

//////
if($level['key']==1){
        $timee=(3600*24*7);

mysql_query("INSERT INTO `kolhoz_key` SET `id_user` = '$ku[id]', `time` = '$timee' ") or die (mysql_error());
echo"<br/><img width='16' height='16' src='images/icons/pkey.png' alt='o'> Получен ключ от погреба!";
}
if($level['level']==10)
{
    mysql_query("INSERT INTO `kolhoz_mail` SET  `id_user` = '$ku[id]', `id_kont` = '701', `msg` = 'Дорогой друг!
    
    Поздравляем тебя с 10 уровнем :bravo 
    Дарим тебе: [img]/images/icons/ruby.png[/img] 150 000

 С уважением, [url=/online/admin]Администрация игры[/url]', `time` = '$time', `type` = 'to'");
 $random=rand(91,98);
    mysql_query("INSERT INTO `kolhoz_gifts` SET `id_gift` = '$random', `id_user` = '$ku[id]', `id_kont` = '701', `msg` = 'С новым уровнем!', `time` = '$time'");
$level['rubies']=($level['rubies']+150000);
    
}
if($level['level']==20)
{
    $timee=(3600*24*10);
    mysql_query("INSERT INTO `kolhoz_key` SET `id_user` = '$ku[id]', `time` = '$timee' ") or die (mysql_error());

    mysql_query("INSERT INTO `kolhoz_mail` SET  `id_user` = '$ku[id]', `id_kont` = '701', `msg` = 'Дорогой друг!
    
    Поздравляем тебя с 20 уровнем :bravo 
    Дарим тебе: [img]/images/icons/pkey.png[/img] Ключ от погреба (10 дней)

 С уважением, [url=/online/admin]Администрация игры[/url]', `time` = '$time', `type` = 'to'");
 $random=rand(91,98);
    mysql_query("INSERT INTO `kolhoz_gifts` SET `id_gift` = '$random', `id_user` = '$ku[id]', `id_kont` = '701', `msg` = 'С новым уровнем!', `time` = '$time'");

}
if($level['level']==30)
{
    $timee=(3600*24*10);
    mysql_query("UPDATE `kolhoz_user` SET `money2x_time` = '".($ku['money2x_time']>$time?"".($ku['money2x_time']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");

    mysql_query("INSERT INTO `kolhoz_mail` SET  `id_user` = '$ku[id]', `id_kont` = '701', `msg` = 'Дорогой друг!
    
    Поздравляем тебя с 30 уровнем :bravo 
    Дарим тебе: [imgfont:25]/pavelgrey/img/2xmoney.png[/imgfont] Двойной доход (10 дней)

 С уважением, [url=/online/admin]Администрация игры[/url]', `time` = '$time', `type` = 'to'");
 $random=rand(91,98);
    mysql_query("INSERT INTO `kolhoz_gifts` SET `id_gift` = '$random', `id_user` = '$ku[id]', `id_kont` = '701', `msg` = 'С новым уровнем!', `time` = '$time'");

}
if($level['level']==40)
{
    $timee=(3600*24*10);
    mysql_query("UPDATE `kolhoz_user` SET `time_vip` = '".($ku['time_vip']>$time?"".($ku['time_vip']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");

    mysql_query("INSERT INTO `kolhoz_mail` SET  `id_user` = '$ku[id]', `id_kont` = '701', `msg` = 'Дорогой друг!
    
    Поздравляем тебя с 40 уровнем :bravo 
    Дарим тебе: [imgfont:20]//cdn0.iconfinder.com/data/icons/kameleon-free-pack-rounded/110/Medal-2-20.png[/imgfont] VIP-Статус (10 дней)

 С уважением, [url=/online/admin]Администрация игры[/url]', `time` = '$time', `type` = 'to'");
 $random=rand(91,98);
    mysql_query("INSERT INTO `kolhoz_gifts` SET `id_gift` = '$random', `id_user` = '$ku[id]', `id_kont` = '701', `msg` = 'С новым уровнем!', `time` = '$time'");

}
if($level['level']==50)
{
    $timee=(3600*24*10);
    mysql_query("UPDATE `kolhoz_user` SET `money2x_time` = '".($ku['money2x_time']>$time?"".($ku['money2x_time']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");

    mysql_query("INSERT INTO `kolhoz_mail` SET  `id_user` = '$ku[id]', `id_kont` = '701', `msg` = 'Дорогой друг!
    
    Поздравляем тебя с 50 уровнем :bravo 
    Дарим тебе: [imgfont:25]/pavelgrey/img/2xmoney.png[/imgfont] Двойной доход (10 дней)

 С уважением, [url=/online/admin]Администрация игры[/url]', `time` = '$time', `type` = 'to'");
 $random=rand(91,98);
    mysql_query("INSERT INTO `kolhoz_gifts` SET `id_gift` = '$random', `id_user` = '$ku[id]', `id_kont` = '701', `msg` = 'С новым уровнем!', `time` = '$time'");

}
echo"<br/>Хорошего урожая!</div>";
mysql_query("UPDATE `kolhoz_user` SET `level` = '$level[level]', `rubies` = '".($ku['rubies']+$level['rubies'])."', `money` = '".($ku['money']+($level['level']*$koefi))."' WHERE `id` = '$ku[id]'");
$ku['level']=$level['level'];
$ku['money']=$ku['money']+($level['level']*$koefi);
$ku['rubies']=$ku['rubies']+$level['rubies'];
$rl=0;
$ql=mysql_query("SELECT * FROM `kolhoz_level`");
while($pl=mysql_fetch_array($ql))
{
if($pl['level']<=$ku['level'])$rl=$rl+$pl['rating'];
}
$kr=$ku['rating']-$rl;
$level=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_level` WHERE `level` = '".($ku['level']+1)."' LIMIT 1"));
}
}

//Устанавливаем 1 первый уровень, если тот уровень что у пользователя не найден в базе
//Потом уровень будет подбит под сюществующий опыт

//mysql_query("UPDATE `kolhoz_user` SET `level` = '1' WHERE `level` = '0'");
if(empty($kr))$kr=0;
if($kr<0)mysql_query("UPDATE `kolhoz_user` SET `level` = '$ku[level]'-'1' WHERE `id` = '$ku[id]'");
?>